> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Account

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new Account for an Entity, either `ach` or `liability`, based on
the parameters provided. An account is a unique
representation of an [ACH](/2026-03-30/reference/accounts/overview#ach)
or [Liability](/2026-03-30/reference/accounts/overview#liability) account.

<Warning>
  Creating Liability Accounts directly is only supported on a case-by-case basis.
  If you need to create a Liability Account, contact your Method CSM.
</Warning>

## Body

<ParamList
  items={[
{
name: 'holder_id',
type: 'string',
required: true,
description: 'ID of the Entity who is the legal holder of the Account.',
},
{
name: 'ach',
type: 'object',
required: true,
description: 'ACH account information.',
items: [
  {
    name: 'ach.type',
    type: 'enum',
    required: true,
    description: 'The type of ACH Account.',
    enums: ['checking', 'savings'],
  },
  {
    name: 'ach.routing',
    type: 'string',
    required: true,
    description: 'ABA routing number of the ACH account. (maximum of 9 characters)',
  },
  {
    name: 'ach.number',
    type: 'string',
    required: true,
    description: 'Account number of the ACH account. (maximum of 17 characters).',
  },
],
},
]}
/>

## Returns

Returns an Account object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/accounts \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "holder_id": "ent_y1a9e1fbnJ1f3",
      "ach": {
        "routing": "367537407",
        "number": "57838927",
        "type": "checking"
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const account = await method
    .accounts
    .create({
      holder_id: 'ent_y1a9e1fbnJ1f3',
      ach: {
        routing: '367537407',
        number: '57838927',
        type: 'checking',
      },
    });
  ```

  ```python Python theme={null}
  account = method
    .accounts
    .create({
      'holder_id': 'ent_y1a9e1fbnJ1f3',
      'ach': {
        'routing': '367537407',
        'number': '57838927',
        'type': 'checking'
      }
    })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "acc_BcRdHNjb9TYKV",
    "holder_id": "ent_wUzi83DJdx99e",
    "status": "active",
    "type": "ach",
    "ach": {
      "routing": "367537407",
      "number": "57838927",
      "type": "checking"
    },
    "latest_verification_session": "avf_7WGUjnFLcipRm",
    "products": [
      "payment"
    ],
    "restricted_products": [],
    "error": null,
    "metadata": null,
    "created_at": "2023-10-23T06:25:56.500Z",
    "updated_at": "2023-10-23T06:25:56.500Z"
  }
  ```
</ResponseExample>
